com.hazelcast.config

## Class SecurityConfig

- java.lang.Object
- - com.hazelcast.config.SecurityConfig

-     public class SecurityConfig
      extends Object

  Contains configuration for Security

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityConfig` | `addClientLoginModuleConfig(LoginModuleConfig loginModuleConfig)`
    `SecurityConfig` | `addClientPermissionConfig(PermissionConfig permissionConfig)`
    `SecurityConfig` | `addMemberLoginModuleConfig(LoginModuleConfig loginModuleConfig)`
    `SecurityConfig` | `addSecurityInterceptorConfig(SecurityInterceptorConfig interceptorConfig)`
    `boolean` | `equals(Object o)`
    `boolean` | `getClientBlockUnmappedActions()`
    `List<LoginModuleConfig>` | `getClientLoginModuleConfigs()`
    `Set<PermissionConfig>` | `getClientPermissionConfigs()`
    `PermissionPolicyConfig` | `getClientPolicyConfig()`
    `CredentialsFactoryConfig` | `getMemberCredentialsConfig()`
    `List<LoginModuleConfig>` | `getMemberLoginModuleConfigs()`
    `OnJoinPermissionOperationName` | `getOnJoinPermissionOperation()`
    `List<SecurityInterceptorConfig>` | `getSecurityInterceptorConfigs()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `SecurityConfig` | `setClientBlockUnmappedActions(boolean clientBlockUnmappedActions)` Block or allow actions, submitted as tasks in an Executor from clients and have no permission mappings.
    `SecurityConfig` | `setClientLoginModuleConfigs(List<LoginModuleConfig> loginModuleConfigs)`
    `SecurityConfig` | `setClientPermissionConfigs(Set<PermissionConfig> permissions)`
    `SecurityConfig` | `setClientPolicyConfig(PermissionPolicyConfig policyConfig)`
    `SecurityConfig` | `setEnabled(boolean enabled)`
    `SecurityConfig` | `setMemberCredentialsConfig(CredentialsFactoryConfig credentialsFactoryConfig)`
    `SecurityConfig` | `setMemberLoginModuleConfigs(List<LoginModuleConfig> memberLoginModuleConfigs)`
    `SecurityConfig` | `setOnJoinPermissionOperation(OnJoinPermissionOperationName onJoinPermissionOperation)`
    `void` | `setSecurityInterceptorConfigs(List<SecurityInterceptorConfig> securityInterceptorConfigs)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityConfig

          public SecurityConfig()

  - ### Method Detail

    - #### addSecurityInterceptorConfig

          public SecurityConfig addSecurityInterceptorConfig(SecurityInterceptorConfig interceptorConfig)

    - #### getSecurityInterceptorConfigs

          public List<SecurityInterceptorConfig> getSecurityInterceptorConfigs()

    - #### setSecurityInterceptorConfigs

          public void setSecurityInterceptorConfigs(List<SecurityInterceptorConfig> securityInterceptorConfigs)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public SecurityConfig setEnabled(boolean enabled)

    - #### addMemberLoginModuleConfig

          public SecurityConfig addMemberLoginModuleConfig(LoginModuleConfig loginModuleConfig)

    - #### addClientLoginModuleConfig

          public SecurityConfig addClientLoginModuleConfig(LoginModuleConfig loginModuleConfig)

    - #### addClientPermissionConfig

          public SecurityConfig addClientPermissionConfig(PermissionConfig permissionConfig)

    - #### getClientLoginModuleConfigs

          public List<LoginModuleConfig> getClientLoginModuleConfigs()

    - #### setClientLoginModuleConfigs

          public SecurityConfig setClientLoginModuleConfigs(List<LoginModuleConfig> loginModuleConfigs)

    - #### getMemberLoginModuleConfigs

          public List<LoginModuleConfig> getMemberLoginModuleConfigs()

    - #### setMemberLoginModuleConfigs

          public SecurityConfig setMemberLoginModuleConfigs(List<LoginModuleConfig> memberLoginModuleConfigs)

    - #### getClientPolicyConfig

          public PermissionPolicyConfig getClientPolicyConfig()

    - #### setClientPolicyConfig

          public SecurityConfig setClientPolicyConfig(PermissionPolicyConfig policyConfig)

    - #### getClientPermissionConfigs

          public Set<PermissionConfig> getClientPermissionConfigs()

    - #### setClientPermissionConfigs

          public SecurityConfig setClientPermissionConfigs(Set<PermissionConfig> permissions)

    - #### getMemberCredentialsConfig

          public CredentialsFactoryConfig getMemberCredentialsConfig()

    - #### setMemberCredentialsConfig

          public SecurityConfig setMemberCredentialsConfig(CredentialsFactoryConfig credentialsFactoryConfig)

    - #### getOnJoinPermissionOperation

          public OnJoinPermissionOperationName getOnJoinPermissionOperation()

    - #### setOnJoinPermissionOperation

          public SecurityConfig setOnJoinPermissionOperation(OnJoinPermissionOperationName onJoinPermissionOperation)

    - #### getClientBlockUnmappedActions

          public boolean getClientBlockUnmappedActions()

      Returns:
        a boolean flag indicating whether actions, submitted as tasks in an Executor from clients and have no permission mappings, are blocked or allowed.

        Executors:
        - `IExecutorService`
        - `IScheduledExecutorService`
        - `DurableExecutorService`

    - #### setClientBlockUnmappedActions

          public SecurityConfig setClientBlockUnmappedActions(boolean clientBlockUnmappedActions)

      Block or allow actions, submitted as tasks in an Executor from clients and have no permission mappings.

      Executors:
      - `IExecutorService`
      - `IScheduledExecutorService`
      - `DurableExecutorService`
      Parameters:
        `clientBlockUnmappedActions` -
    True: Blocks all actions that have no permission mapping
    False: Allows all actions that have no permission mapping

  - #### toString

        public String toString()

    Overrides:
      `toString` in class `Object`

  - #### equals

        public boolean equals(Object o)

    Overrides:
      `equals` in class `Object`

  - #### hashCode

        public int hashCode()

    Overrides:
      `hashCode` in class `Object`

Copyright © 2020. All rights reserved.